# MenuItem

Namespace: **Wisej.Hybrid.Shared.MenuBar**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents a menu item that can be used in a user interface.

{% tabs %}
{% tab title="C#" %}

```csharp
public class MenuItem
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class MenuItem
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)MenuItem()

Initializes a new instance of [MenuItem](/hybrid/start/api/ui/wisej.hybrid.shared.menubar.menuitem.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)FontImageSource

[FontImageSource](https://docs.wisej.com/api?q=wisej.hybrid.shared.core.fontimagesource): Gets or sets the FontImageSource associated with the menu item for displaying icons.

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsSeparator

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets a value indicating whether this menu item is a separator.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Items

[MenuItem\[\]](/hybrid/start/api/ui/wisej.hybrid.shared.menubar.menuitem.md): Gets or sets an array of child menu items.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Text

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the text content of the menu item.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.shared.menubar.menuitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
